Payouts

One payout of the /payouts list, by its uuid

GET/api/public/v1/payouts/{uuid}
LiveAnswers from your brand's records now.

Operation id getPayout

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/payouts/<uuid>" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
uuidpathstringrequired

Responses

200Success

FieldTypeNotes
dataobject
data.amountstring, nullable
data.amount_centsinteger, nullable
data.campaign_categorystring
data.campaign_idinteger, nullable
data.campaign_namestring
data.contents_deliveredinteger, nullable
data.contents_delivered_by_platformobject, nullable
data.contents_requiredinteger, nullable
data.creator_avatar_urlstring, nullable
data.creator_idinteger
data.creator_namestring, nullable
data.credit_namestring, nullable
data.credits_enabledboolean, nullable
data.custom_amountobject, nullable
data.custom_amount.amountnumber
data.custom_amount.descriptionstring
data.custom_amount_centsinteger, nullable
data.cycle_labelstring, nullable
data.cycle_numberinteger
data.deal_datestring (date), nullable
data.fixed_amountstring, nullable
data.fixed_amount_centsinteger, nullable
data.formatted_total_credit_amountstring, nullable
data.idinteger
data.paid_amountstring, nullable
data.paid_amount_centsinteger, nullable
data.paid_atstring (date-time), nullable
data.pending_updateboolean
data.residual_amountstring, nullable
data.residual_amount_centsinteger, nullable
data.residual_valuesobject, nullable
data.residual_values.metricstring, nullable
data.residual_values.valueinteger, nullable
data.sequence_indexinteger
data.since_datestring (date), nullable
data.statusstring
data.total_credit_amountinteger, nullable
data.uuidstring
data.viewsstring, nullable
metaobject
meta.filtered_unknown_countinteger, nullable
meta.in_flight_countinteger
meta.precomputed_countinteger
meta.queue_statestring
meta.queued_countinteger
successboolean

Example

{
  "data": {
    "amount": "string",
    "amount_cents": 12500,
    "campaign_category": "string",
    "campaign_id": 1024,
    "campaign_name": "Example name",
    "contents_delivered": 3,
    "contents_delivered_by_platform": {},
    "contents_required": 3,
    "creator_avatar_url": "https://example.com/p/1",
    "creator_id": 1024,
    "creator_name": "Example name",
    "credit_name": "Example name",
    "credits_enabled": true,
    "custom_amount": {
      "amount": 125.5,
      "description": "string"
    },
    "custom_amount_cents": 12500,
    "cycle_label": "string",
    "cycle_number": 3,
    "deal_date": "2026-11-01",
    "fixed_amount": "string",
    "fixed_amount_cents": 12500,
    "formatted_total_credit_amount": "string",
    "id": 1024,
    "paid_amount": "string",
    "paid_amount_cents": 12500,
    "paid_at": "2026-11-01T15:04:05Z",
    "pending_update": true,
    "residual_amount": "string",
    "residual_amount_cents": 12500,
    "residual_values": {
      "metric": "string",
      "value": 3
    },
    "sequence_index": 3,
    "since_date": "2026-11-01",
    "status": "string",
    "total_credit_amount": 3,
    "uuid": "string",
    "views": "string"
  },
  "meta": {
    "filtered_unknown_count": 3,
    "in_flight_count": 3,
    "precomputed_count": 3,
    "queue_state": "string",
    "queued_count": 3
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.